Loading...
Searching...
No Matches
L4virtio::Virtqueue::Used::Flags Struct Reference

flags for the used ring. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Used::Flags:

## Public Member Functions

| Flags (l4_uint16_t v)
| make Flags from raw value

## Data Fields

l4_uint16_t | raw
| raw flags value as specified by virtio.
typedef cxx::Bitfield< decltype(raw), 0, 0 > | no_notify_bfm_t
| host does not want to be notified when new requests have been queued.
constexpr no_notify_bfm_t::Val | no_notify () const
| Get the no_notify bits (0 to 0) of raw.
constexpr no_notify_bfm_t::Ref | no_notify ()
| Get a reference to the no_notify bits (0 to 0) of raw.

## Detailed Description

flags for the used ring.

Definition at line 179 of file virtqueue.

## Member Typedef Documentation

## no_notify_bfm_t

typedef cxx::Bitfield<decltype(raw), 0, 0> L4virtio::Virtqueue::Used::Flags::no_notify_bfm_t

host does not want to be notified when new requests have been queued.

Type to access the no_notify bits (0 to 0) of raw.

Definition at line 188 of file virtqueue.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtqueue